iRMC vmedia deploy failed due to capitalized device file name

Bug #1541167 reported by Naohiro Tamura on 2016-02-03
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ironic-python-agent
Fix Released
High
Naohiro Tamura

Bug Description

Fujitsu customer reported iRMC Virtual Media deploy failed if bare
metal sever is RX1330 series.

The failure reason was found out that IPA deploy image didn't create
the expected lower case virtual floppy device, but upper case virtual
floppy device:

expected: /dev/disk/by-label/ir-vfd-dev

> core@host-192-168-222-12 /dev/disk/by-label $ ls -l
> total 0
> lrwxrwxrwx 1 root root 9 Jan 27 16:06 INSTALL_IMAGE -> ../../sr1
> lrwxrwxrwx 1 root root 10 Jan 27 16:06 cloudimg-rootfs -> ../../sda1
> lrwxrwxrwx 1 root root 9 Jan 27 17:06 ir-vfd-dev -> ../../sdb

actual : /dev/disk/by-label/IR-VFD-DEV

> core@host-192-168-246-54 ~ $ ls -l /dev/disk/by-label/
> total 0
> lrwxrwxrwx 1 root root 9 Feb 2 02:16 INSTALL_IMAGE -> ../../sr1
> lrwxrwxrwx 1 root root 9 Feb 2 02:16 IR-VFD-DEV -> ../../sdc
> lrwxrwxrwx 1 root root 10 Feb 2 02:16 cloudimg-rootfs -> ../../sda1

Changed in ironic:
assignee: nobody → Naohiro Tamura (naohirot)
Naohiro Tamura (naohirot) wrote :

Somehow gerrit didn't update the status to "In Progress", so I update it manually.

https://review.openstack.org/#/c/275511/

Changed in ironic:
status: New → In Progress
Dmitry Tantsur (divius) on 2016-02-04
Changed in ironic:
importance: Undecided → High

This issue was fixed in the openstack/ironic-python-agent 1.2.0 release.

This issue was fixed in the openstack/ironic-python-agent 1.0.2 release.

Dmitry Tantsur (divius) on 2016-09-14
affects: ironic → ironic-python-agent
Changed in ironic-python-agent:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers